Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.xslt
Class ProxyNamedNodeMap

    java.lang.Object
      org.apache.struts2.views.xslt.ProxyNamedNodeMap

All Implemented Interfaces:
  org.w3c.dom.NamedNodeMap

    public class ProxyNamedNodeMap

extends java.lang.Object
implements org.w3c.dom.NamedNodeMap

A NamedNodeMap that wraps the Nodes returned in their proxies. Note: Since maps have no guaranteed order we don't need to worry about identity here as we do with "child" adapters. In that case we need to preserve identity in order to support finding the next/previous siblings.

Constructor Summary
`ProxyNamedNodeMap(AdapterFactory factory, AdapterNode parent, org.w3c.dom.NamedNodeMap nodes)`

Method Summary
`int` | `getLength()`
`org.w3c.dom.Node` | `getNamedItem(java.lang.String name)`
`org.w3c.dom.Node` | `getNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.Node` | `item(int index)`
`org.w3c.dom.Node` | `removeNamedItem(java.lang.String name)`
`org.w3c.dom.Node` | `removeNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.Node` | `setNamedItem(org.w3c.dom.Node arg)`
`org.w3c.dom.Node` | `setNamedItemNS(org.w3c.dom.Node arg)`
`protected org.w3c.dom.Node` | `wrap(org.w3c.dom.Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyNamedNodeMap

    public ProxyNamedNodeMap(AdapterFactory factory,
                             AdapterNode parent,
                             org.w3c.dom.NamedNodeMap nodes)

Method Detail

### wrap

    protected org.w3c.dom.Node wrap(org.w3c.dom.Node node)

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.w3c.dom.NamedNodeMap`

### item

    public org.w3c.dom.Node item(int index)

  Specified by:
    `item` in interface `org.w3c.dom.NamedNodeMap`

### getNamedItem

    public org.w3c.dom.Node getNamedItem(java.lang.String name)

  Specified by:
    `getNamedItem` in interface `org.w3c.dom.NamedNodeMap`

### removeNamedItem

    public org.w3c.dom.Node removeNamedItem(java.lang.String name)
                                     throws org.w3c.dom.DOMException

  Specified by:
    `removeNamedItem` in interface `org.w3c.dom.NamedNodeMap`
  Throws:
    `org.w3c.dom.DOMException`

### setNamedItem

    public org.w3c.dom.Node setNamedItem(org.w3c.dom.Node arg)
                                  throws org.w3c.dom.DOMException

  Specified by:
    `setNamedItem` in interface `org.w3c.dom.NamedNodeMap`
  Throws:
    `org.w3c.dom.DOMException`

### setNamedItemNS

    public org.w3c.dom.Node setNamedItemNS(org.w3c.dom.Node arg)
                                    throws org.w3c.dom.DOMException

  Specified by:
    `setNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`
  Throws:
    `org.w3c.dom.DOMException`

### getNamedItemNS

    public org.w3c.dom.Node getNamedItemNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Specified by:
    `getNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`

### removeNamedItemNS

    public org.w3c.dom.Node removeNamedItemNS(java.lang.String namespaceURI,
                                              java.lang.String localName)
                                       throws org.w3c.dom.DOMException

  Specified by:
    `removeNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`
  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.